VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
DataPackageIterator Struct Reference
New classes » Version 4.12

IDataPackage iterator. More...

`#include <idatapackage.h>`

## Classes
struct | Item

## Public Member Functions
| DataPackageIterator (IDataPackage *pkg, uint32_t index=0u)
DataPackageIterator & | operator++ ()
const Item & | operator-> () const
const Item & | operator* () const
bool | operator!= (const DataPackageIterator &other) const
uint32_t | getIndex () const

## Detailed Description

IDataPackage iterator.

## Constructor & Destructor Documentation

## ◆ DataPackageIterator()

DataPackageIterator | ( | IDataPackage * | pkg,
|  | uint32_t | index = 0u )
| inline

## Member Function Documentation

## ◆ getIndex()

uint32_t getIndex | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const DataPackageIterator & | other | ) | const
| inline

## ◆ operator*()

const Item & operator* | ( |  | ) | const
| inline

## ◆ operator++()

DataPackageIterator & operator++ | ( |  | ) |
| inline

## ◆ operator->()

const Item & operator-> | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- idatapackage.h